program Project1;

{$APPTYPE CONSOLE}

var Q,w,n,m,k:longint;
begin
assign(input,'NUTS.CPP');
reset(input);
read(Q);
for w:=1 to Q do
  begin
  read(n,m,k);
  n:=n*m;
  if n<k then write('YES')
  else write('NO');
  end;
end.
